### Constructor

# Vips SourceGInputStream new

#### Declaration [src]

    VipsSourceGInputStream*
    vips_source_g_input_stream_new (
      GInputStream* stream
    )

#### Description [src]

Create a `VipsSourceGInputStream` which wraps `stream`.

See also

`vips_g_input_stream_new_from_source()`.

#### Parameters

`stream`

  Type: `GInputStream`

  Read from this stream.

  The data is owned by the caller of the function.

#### Return value

Type: `VipsSourceGInputStream`

The new source.

The caller of the function takes ownership of the data, and is responsible for freeing it.